data {
    int N;
    array[N] real Sts;
    array[N] real MEs;
}
transformed data {
    array[N] real LogMEs;
    LogMEs = log(MEs);
}
parameters {
    real<lower = 0.0> v_a;
    real<lower = 0.0> v_b;
    real<lower = 0.0> v_sgm;
}
transformed parameters {
    real<lower = 0.0> a;
    real<lower = 0.0> b;
    real<lower = 0.0> sgm;
    a = 10.0 * v_a + 0.001;
    b = 10.0 * v_b;
    sgm = 10.0 * v_sgm + 0.001;
}
model {
    v_a ~ exponential(0.1);
    v_b ~ exponential(0.1);
    v_sgm ~ exponential(0.1);
    for (i in 1:N) {
        LogMEs[i] ~ normal(log(a * pow(Sts[i], b)), sgm);   //   Eq. (10.2.3)
    }
}
